Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# QML PauseAnimation Element

The PauseAnimation element provides a pause for an animation. More...

Inherits Animation

This element was introduced in Qt 4.7.

- List of all members, including inherited members

## Properties

- duration : int

## Detailed Description

When used in a SequentialAnimation, PauseAnimation is a step when nothing happens, for a specified duration.

A 500ms animation sequence, with a 100ms pause between two animations:

     SequentialAnimation {
         NumberAnimation { ... duration: 200 }
         PauseAnimation { duration: 100 }
         NumberAnimation { ... duration: 200 }
     }

See also QML Animation and Transitions and Animation basics example.

## Property Documentation

duration : int

This property holds the duration of the pause in milliseconds

The default value is 250.